import 'package:flutter_flex_cart/src/customer.dart';

/// Base billable class
/// * [C] CoreCustomer<W>
/// * [ID] Customer ID type
abstract class Billable<C extends CoreCustomer<ID>, ID> {
  /// [C] [customer] for billing purposes
  C? _customer;

  Billable({C? customer}) : _customer = customer;

  C? get customer => _customer;

  void setCustomer(C customer) => _customer = customer;
}
