import 'package:flutter_flex_cart/flutter_flex_cart.dart';

/// Core Cart Base with Payments class
/// This class help to keep the state of the cart.
/// If you want to add customer details use billable with cart.
/// * [D] CoreDetail<I,ID>
/// * [ITEM] CoreItem<ID>
/// * [ID] Item ID type
/// * [P] CorePayment type
abstract class CoreCartWithPayments<D extends CoreDetail<ITEM, ID>,
        ITEM extends CoreItem<ID>, ID, P extends CorePayment> extends Payable<P>
    implements CoreCartBase<D, ITEM, ID> {}
